org.springframework.util

## Interface AutoPopulatingList.ElementFactory<E>

- Enclosing class:
    AutoPopulatingList<E>

      public static interface AutoPopulatingList.ElementFactory<E>

  Factory interface for creating elements for an index-based access data structure such as a `List`.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `E` | `createElement(int index)` Create the element for the supplied index.

- - ### Method Detail

    - #### createElement

          E createElement(int index)
                          throws AutoPopulatingList.ElementInstantiationException

      Create the element for the supplied index.
      Returns:
        the element object
      Throws:
        `AutoPopulatingList.ElementInstantiationException` - if the instantiation process failed (any exception thrown by a target constructor should be propagated as-is)